


def get_coworkers(creds):
	"""
	Get members accross all Projects
	@return: {}
	"""
	from ppapiaccess import connect, Person
	

	if not id:
	    raise ValueError('Parameter boardid must contain value')

	conn = connect(creds)
	url = 'https://api.projectplace.com/1/user/me/coworkers'
	response = conn.request('GET',url)
	if response.status_code != 200:
	    raise RuntimeError('Error occured. Server returned http status code %d. Return message: %s. URL: %s'%(response.status_code, response.text, url))

	data = response.json()
	people = list()
	for entry in data:
	    new_member = Person(id=entry['id'], name=entry['sort_name'], data=entry)
	    people.append(new_member)
	return people


from main import BaseHandler

class main(BaseHandler):

	def get(self, mode=''):
		

		creds = self.get_creds_from_session(service_name='PROJECTPLACE')
		self.response.write('<p><a href="/">Back to main page</a>')
		self.response.write('<br /><br /><b>You network @ Projectplace:</b><br /><table>')
		people = get_coworkers(creds)
		for coworker in sorted(people,key=lambda obj: obj.name.lower()):
			#
			self.response.write('<tr><td align="right"><img src="%s" height="20px"></td><td><a href="%s">%s</a></td></tr>'%(coworker.image_url, coworker.page_url, coworker.name))
		self.response.write('</table>')
		self.response.write('<p><a href="/">Back to main page</a>')

		return
