

from main import BaseHandler

class mainview(BaseHandler):

	def get(self):
		
		# Get credentials from Session store
		session_creds = self.get_creds_from_session(service_name='PROJECTPLACE')
		if not session_creds:
			self.response.write('oooops, we do not have any credentials! :(<br />')
			self.response.write('<a href="/">Get some credentials</a> (Main page)')
			return


		from ppapiaccess import connect, get_me, get_projects
		connect(session_creds)

		# Print some basic info
		print
		print "Info fetched via API regarding current user:"
		me = get_me()
		self.response.write("<p> - Name: %s<br />"%me.name)
		self.response.write(" - Email: %s<br />"%me.email)
		self.response.write(" - Number of available projects: %d<br />"%len(get_projects()))
		self.response.write('<p><a href="/">Back to main page</a>')

		return